# $Revision: 1.239 $, $Date: 2012/06/02 16:21:40 $
# TODO
# - use policykit to gain root
# - use %caps when rpm supports it: %attr(750,root,wireshark) %caps(cap_net_raw,cap_net_admin=eip) %{_sbindir}/dumpcap
# - think of loosing dependency loop:
#   Executing rpm --upgrade -vh --root /...
#   error: LOOP:
#   error: removing libwiretap-1.2.4-1.i686 "Requires(auto): libwsutil.so.0" from tsort relations.
#   error:     libwiretap-1.2.4-1.i686                  Requires(auto): libwsutil.so.0
#   error: removing wireshark-common-1.2.4-1.i686 "Requires: libwiretap = 1.2.4-1" from tsort relations.
#   error:     wireshark-common-1.2.4-1.i686            Requires: libwiretap = 1.2.4-1
#   error: LOOP:
#   error: removing libwiretap-1.2.3-1.i686 "Requires: libwiretap = 1.2.3-1" from tsort relations.
#   error:     libwiretap-1.2.3-1.i686                  Requires: libwiretap = 1.2.3-1
#   error: removing wireshark-common-1.2.3-1.i686 "Requires(auto): libwsutil.so.0" from tsort relations.
#   error:     wireshark-common-1.2.3-1.i686            Requires(auto): libwsutil.so.0
#
# Conditional build:
%bcond_without	kerberos5	# build without Kerberos V support
%bcond_without	snmp		# build without snmp support

Summary:	Network traffic and protocol analyzer
Summary(es.UTF-8):	Analizador de tráfico de red
Summary(pl.UTF-8):	Analizator ruchu i protokołów sieciowych
Summary(pt_BR.UTF-8):	Analisador de tráfego de rede
Summary(ru.UTF-8):	Анализатор сетевого траффика
Summary(uk.UTF-8):	Аналізатор мережевого трафіку
Name:		wireshark
Version:	1.6.7
Release:	2
License:	GPL
Group:		Networking/Utilities
Source0:	http://www.wireshark.org/download/src/%{name}-%{version}.tar.bz2
# Source0-md5:	7e39f1c0ea4abd8bffa5122df800ca5d
Patch0:		%{name}-Werror.patch
Patch1:		%{name}-gcc43.patch
Patch2:		%{name}-ac.patch
Patch3:		%{name}-desktop.patch
URL:		http://www.wireshark.org/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	elfutils-devel
BuildRequires:	flex
BuildRequires:	gnutls-devel >= 1.0.0
BuildRequires:	gtk+2-devel >= 1:2.0.0
%{?with_kerberos5:BuildRequires:	heimdal-devel}
BuildRequires:	libcap-devel
BuildRequires:	libgcrypt-devel >= 1.1.42
BuildRequires:	libpcap-devel >= 2:1.0.0-4
BuildRequires:	libsmi-devel
BuildRequires:	libtool
BuildRequires:	libxslt-progs
BuildRequires:	lua51-devel
%{?with_snmp:BuildRequires:	net-snmp-devel}
BuildRequires:	pcre-devel
BuildRequires:	perl-tools-pod
BuildRequires:	pkgconfig
BuildRequires:	portaudio-devel
BuildRequires:	sed >= 4.0
BuildRequires:	zlib-devel
Requires:	%{name}-common = %{version}-%{release}
Requires:	libpcap >= 0.4
Provides:	ethereal
Provides:	ethereal-gnome
Obsoletes:	ethereal
Obsoletes:	ethereal-gnome
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Wireshark is the name for powerful graphical network sniffer, traffic
and protocol analyzer based on GTK+ and libpcap libraries. It lets you
capture and interactively browse the contents of network frames with
vast knowledge of more than 100 network protocols. Wireshark has
severeal useful features, including a rich display filter language,
the ability to view the ASCII contents of a TCP connection and plug-in
capabilities.

%description -l es.UTF-8
Analizador de tráfico de red.

%description -l pl.UTF-8
Wireshark jest potężnym, graficznym snifferem, analizatorem ruchu oraz
protokołów sieciowych opartym na bibliotekach GTK+ oraz libpcap.
Umożliwia on przechwytywanie oraz interaktywną analizę zawartości
ramek oraz ponad stu protokołów sieciowych. Wireshark posiada wiele
użytecznych cech, takich jak rozbudowany język filtrów wyświetlania,
możliwość oglądania przebiegu sesji TCP oraz możliwość dołączania
wtyczek (plug-ins).

%description -l pt_BR.UTF-8
O Wireshark é um analisador de protocolo de rede baseado no GTK+.

%description -l ru.UTF-8
Wireshark - это анализатор сетевого траффика для Unix-подобных ОС. Он
базируется на GTK+ и libpcap.

%description -l uk.UTF-8
Wireshark - це аналізатор мережевого трафіку для Unix-подібних ОС. Він
базується на GTK+ та libpcap.

%package common
Summary:	Network traffic and protocol analyzer - common files
Summary(pl.UTF-8):	Analizator ruchu i protokołów sieciowych - wspólne pliki
Group:		Networking
Requires:	libwiretap = %{version}-%{release}
Provides:	%{name}-tools
Provides:	ethereal-common
Provides:	group(wireshark)
Obsoletes:	ethereal-common
Obsoletes:	wireshark-tools
Requires(post,postun):	/sbin/ldconfig
Requires(post,postun):	/sbin/setcap

%description common
Wireshark is the name for powerful graphical network sniffer, traffic
and protocol analyzer based on GTK+ and libpcap libraries. It lets you
capture and interactively browse the contents of network frames with
vast knowledge of more than 100 network protocols. Wireshark has
severeal useful features, including a rich display filter language,
the ability to view the ASCII contents of a TCP connection and plug-in
capabilities.

This package provides set of tools for manipulating capture files. It
contains:
- capinfo - prints informatio about binary capture files,
- dftest - shows display filter byte-code,
- editcap - edit and/or translate the format of capture files,
- idl2eth - corba IDL to Wireshark Plugin Generator,
- mergecap - merges two capture files into one,
- text2cap - generate a capture file from an ASCII hexdump of packets.

%description common -l es.UTF-8
Analizador de tráfico de red.

%description common -l pl.UTF-8
Wireshark jest potężnym, graficznym snifferem, analizatorem ruchu oraz
protokołów sieciowych opartym na bibliotekach GTK+ oraz libpcap.
Umożliwia on przechwytywanie oraz interaktywną analizę zawartości
ramek oraz ponad stu protokołów sieciowych. Wireshark posiada wiele
użytecznych cech, takich jak rozbudowany język filtrów wyświetlania,
możliwość oglądania przebiegu sesji TCP oraz możliwość dołączania
wtyczek (plug-ins).

Pakiet ten dostarcza także zestaw narzędzi do obróbki plików z
przechwyconymi pakietami, obejmujący:
- capinfo - do wyświetlania informacji o binarnych plikach zrzutu,
- dftest - do pokazywania bajtkodu filtrów wyświetlania,
- editcap - do edycji plików i tłumaczenia ich na inne formaty,
- idl2eth - do konwersji Corba IDL do wtyczek Wireshark,
- mergecap - do łączenia dwóch plików w jeden,
- text2cap - do generowania pliku cap z szesnastkowego zrzutu ASCII
  pakietów.

%description common -l pt_BR.UTF-8
O Wireshark é um analisador de protocolo de rede baseado no GTK+.

%description common -l ru.UTF-8
Wireshark - это анализатор сетевого траффика для Unix-подобных ОС. Он
базируется на GTK+ и libpcap.

%description common -l uk.UTF-8
Wireshark - це аналізатор мережевого трафіку для Unix-подібних ОС. Він
базується на GTK+ та libpcap.

%package -n twireshark
Summary:	Text-mode network traffic and protocol analyzer
Summary(pl.UTF-8):	Tekstowy analizator ruchu i protokołów sieciowych
Summary(pt_BR.UTF-8):	Analisador modo texto de tráfego de rede (sniffer)
Group:		Networking
Requires:	%{name}-common = %{version}-%{release}
Requires:	libpcap >= 0.4
Provides:	tethereal
Obsoletes:	tethereal

%description -n twireshark
Twireshark is a network protocol analyzer. It lets you capture packet
data from a live network, or read packets from a previously saved
capture file, either printing a decoded form of those packets to the
standard output or writing the packets to a file. Twireshark's native
capture file format is libpcap format, which is also the format used
by tcpdump and various other tools.

%description -n twireshark -l pl.UTF-8
Twireshark jest analizatorem protokołów sieciowych. Pozwala na
przechwytywanie pakietów z sieci lub wczytywanie danych z pliku.
Zdekodowany wynik (a twireshark zna ponad 100 rozmaitych protokołów
sieciowych!) jest wyświetlony na ekranie. Natywnym formatem plików
tetherala jest format libpcap, tak więc jest on kompatybilny z
tcpdumpem i innymi podobnymi narzędziami.

%description -n twireshark -l pt_BR.UTF-8
Esta é uma versão para modo texto do analisador de tráfego de rede
Wireshark.

%package -n libwiretap
Summary:	Packet capture and analysis library
Summary(pl.UTF-8):	Biblioteka do przechwytywania i analizy pakietów
Group:		Libraries

%description -n libwiretap
Wiretap is a library that is being developed as a future replacement
for libpcap, the current standard Unix library for packet capturing.

%description -n libwiretap -l pl.UTF-8
Biblioteka Wiretap rozwijana jest jako przyszły następca biblioteki
libpcap, obecnie standardu przechwytywania pakietów w systemach Unix.

%package -n libwiretap-devel
Summary:	Header files for libwiretap packet capture library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libwiretap do przechwytywania pakietów
Group:		Development/Libraries
Requires:	gtk+2-devel >= 2.0.0
Requires:	libwiretap = %{version}-%{release}

%description -n libwiretap-devel
Header files for libwiretap packet capture library.

%description -n libwiretap-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libwiretap służącej do przechwytywania
pakietów.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
sed -i -e 's/lua5\.1/lua51/g' acinclude.m4
find -name Makefile.am | xargs sed -i -e 's/-Werror//g'

%build
%{__libtoolize}
%{__aclocal} -I aclocal-fallback
%{__autoconf}
%{__automake}
%configure \
	--enable-randpkt \
	--enable-dftest \
	--enable-threads \
	--with-pcre \
%if %{with kerberos5}
	--with-krb5 \
	--with-ssl \
%endif
	%{!?with_snmp:--without-net-snmp --without-ucdsnmp} \
	--with-lua=/usr

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir},%{_includedir}/wiretap}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p image/hi48-app-wireshark.png $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png
cp -p wireshark.desktop $RPM_BUILD_ROOT%{_desktopdir}

cp -a wiretap/*.h $RPM_BUILD_ROOT%{_includedir}/wiretap

# plugins *.la are useless - *.so are loaded through gmodule
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins/%{version}*/*.la

# no headers installed for this library
rm -f $RPM_BUILD_ROOT%{_libdir}/libwireshark.{so,la}

%clean
rm -rf $RPM_BUILD_ROOT

%pre common
%groupadd -P %{name}-common -g 104 wireshark

%post	common
/sbin/ldconfig
/sbin/setcap 'CAP_NET_RAW+eip CAP_NET_ADMIN+eip' %{_bindir}/dumpcap
exit 0

%postun	common
/sbin/ldconfig
if [ "$1" = "0" ]; then
	%groupremove wireshark
fi

%post	-n libwiretap -p /sbin/ldconfig
%postun	-n libwiretap -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/wireshark
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%dir %{_libdir}/%{name}/plugins/%{version}*
%attr(755,root,root) %{_libdir}/%{name}/plugins/%{version}*/*.so
%{_datadir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/*.png
%{_mandir}/man1/wireshark.1*

%files common
%defattr(644,root,root,755)
%doc AUTHORS* ChangeLog NEWS README{,.[lv]*} doc/{randpkt.txt,README.*}
%attr(755,root,root) %{_bindir}/capinfos
%attr(755,root,root) %{_bindir}/dftest
%attr(750,root,wireshark) %{_bindir}/dumpcap
%attr(755,root,root) %{_bindir}/editcap
%attr(755,root,root) %{_bindir}/idl2wrs
%attr(755,root,root) %{_bindir}/mergecap
%attr(755,root,root) %{_bindir}/randpkt
%attr(755,root,root) %{_bindir}/rawshark
%attr(755,root,root) %{_bindir}/text2pcap
%attr(755,root,root) %{_libdir}/libwireshark.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwireshark.so.1
%attr(755,root,root) %{_libdir}/libwsutil.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwsutil.so.1
%{_mandir}/man1/capinfos.1*
%{_mandir}/man1/dftest.1*
%{_mandir}/man1/dumpcap.1*
%{_mandir}/man1/editcap.1*
%{_mandir}/man1/idl2wrs.1*
%{_mandir}/man1/mergecap.1*
%{_mandir}/man1/rawshark.1*
%{_mandir}/man1/randpkt.1*
%{_mandir}/man1/text2pcap.1*
%{_mandir}/man4/wireshark-filter.4*

%files -n twireshark
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/tshark
%{_mandir}/man1/tshark*.1*

%files -n libwiretap
%defattr(644,root,root,755)
%doc wiretap/{README*,AUTHORS}
%attr(755,root,root) %{_libdir}/libwiretap.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwiretap.so.1

%files -n libwiretap-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwiretap.so
%attr(755,root,root) %{_libdir}/libwsutil.so
%{_libdir}/libwiretap.la
%{_libdir}/libwsutil.la
%{_includedir}/wiretap

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wireshark.spec,v $
Revision 1.239  2012/06/02 16:21:40  glen
- use setcaps instead of .desktop file hacks
  http://wiki.wireshark.org/CaptureSetup/CapturePrivileges

Revision 1.238  2012/04/10 21:05:02  arekm
- up to 1.6.7

Revision 1.237  2012/03/28 07:25:21  arekm
- release 2

Revision 1.236  2012/01/11 22:02:28  adamg
- updated to 1.6.5, solves:
  1.6.2: CVE-2011-3266, CVE-2011-3360, CVE-2011-3482, CVE-2011-3483,
         CVE-2011-3484
  1.6.3: CVE-2011-4100, CVE-2011-4101, CVE-2011-4102
  1.6.5: wnpa-sec-2012-01, wnpa-sec-2012-02, wnpa-sec-2012-03

Revision 1.235  2011/08/31 06:59:40  arekm
- release 2

Revision 1.234  2011/07/19 19:25:46  marti
- up to 1.6.1
- multiple denial of service vulnerabilities

Revision 1.233  2011/06/12 14:26:52  adamg
- updated to 1.6.0

Revision 1.232  2010/12/07 12:35:29  glen
- package .desktop what upstream make no longer does; rel 2

Revision 1.231  2010/11/19 22:36:54  rotom
- 1.4.2

Revision 1.230  2010/09/05 11:32:42  gotar
- package 2 more packages

Revision 1.229  2010/09/05 11:10:42  gotar
- upgraded to final 1.4.0, rel. 1

Revision 1.228  2010/08/14 22:57:48  zbyniu
- added CVE references

Revision 1.227  2010/06/29 11:29:38  arekm
- up to 1.4.0 rc1 (stable 1.2 on WIRESHARK_1_2 tag)

Revision 1.226  2010/06/13 13:23:55  arekm
- up to 1.2.9 [fixes CVE-2010-2284 CVE-2010-2287]

Revision 1.225  2010/05/10 09:41:08  adamg
- updated to 1.2.8 (fixes CVE-2010-1455)

Revision 1.224  2010/04/12 12:43:25  baggins
- rel 2

Revision 1.223  2010/04/03 16:46:58  glen
- up to 1.2.7

Revision 1.222  2010/02/07 09:02:02  adamg
- updated to 1.2.6; fixes CVE-2010-0304 (wnpa-sec-2010-02)

Revision 1.221  2009/12/19 17:15:41  arekm
- up to 1.2.5

Revision 1.220  2009/12/09 12:52:11  sparky
- BR: bison, perl-tools-pod

Revision 1.219  2009/12/09 08:32:14  glen
- libwiretap<>wireshark-common loop

Revision 1.218  2009/12/09 08:30:05  glen
- use .desktop magic to run root (idea from smart.spec), xterm dep dropped
- package libwsutil.so to libwiretap-devel (as .la is already there)
- perl -> sed dep
- rel 2

Revision 1.217  2009/11/18 08:19:12  adamg
- updated to 1.2.4

Revision 1.216  2009/10/28 07:38:33  arekm
- up to 1.2.3 (fixes CVE-2009-3549, CVE-2009-3550, CVE-2009-3551)

Revision 1.215  2009/09/16 07:12:34  amateja
- updated to 1.2.2

Revision 1.214  2009/07/26 19:23:25  adamg
- drop obsolete gtk1 bcond

Revision 1.213  2009/07/23 11:11:35  amateja
- updated to 1.2.1
- adapterized

Revision 1.212  2009/07/15 07:21:47  arekm
- release 4

Revision 1.211  2009/07/09 22:09:06  hawk
- fix: libwiretap-devel-1.2.0-2: req libtool(/usr/lib/libwsutil.la) not found

Revision 1.210  2009/07/02 22:38:36  baggins
- rel 2
- switch to heimdal kerberos

Revision 1.209  2009/06/23 20:51:40  adamg
- BR: libpcap-devel >= 2:1.0.0-4 (for a fixed pcap-config script)

Revision 1.208  2009/06/23 20:50:18  adamg
- updated to 1.2.0

Revision 1.207  2009/06/01 13:14:38  blues
- CVE-2009-1829 note

Revision 1.206  2009/05/22 20:13:13  adamg
- updated to 1.0.8 (fixes: CVE-2009-1829 aka wnpa-sec-2009-03)

Revision 1.205  2009/05/15 13:12:32  hawk
- updated to 1.0.7, fixes CVE-2009-1210, CVE-2009-1267, CVE-2009-1268,
  CVE-2009-1269

Revision 1.204  2009/04/15 12:47:44  blues
- multiple security blockers: CVE-2009-1267, CVE-2009-1268, CVE-2009-1269

Revision 1.203  2009/04/06 11:50:33  blues
- security blocker

Revision 1.202  2009/02/16 09:26:47  blues
- security note

Revision 1.201  2009/02/07 18:06:04  adamg
- updated to 1.0.6 [fixes: WNPA-SEC-2009-01]

Revision 1.200  2008/12/25 09:28:09  qboosh
- CVE reference

Revision 1.199  2008/12/21 09:53:31  arekm
- up to 1.0.5 (security fixes)
  [CVE-2008-5285]

Revision 1.198  2008/12/01 09:29:39  blues
- security blocker

Revision 1.197  2008/11/18 07:37:13  qboosh
- filled 1.0.3 CVEs

Revision 1.196  2008/10/21 15:58:38  qboosh
- old CVE references, placeholder for 1.0.3 CVEs

Revision 1.195  2008/10/21 10:34:13  adamg
- updated to 1.0.4
  [WNPA-SEC-2008-06, i.e. CVE-2008-4680 CVE-2008-4681 CVE-2008-4682
  CVE-2008-4683 CVE-2008-4684 CVE-2008-4685]

Revision 1.194  2008/09/17 21:07:07  qboosh
- pl fix

Revision 1.193  2008/09/17 20:22:03  adamg
- merge -tools into -common
  RATIONALE: twireshark requires /usr/bin/dumpcap from wireshark-tools,
  seems like there is no point in having both -common and -tools as they
  are required by both wireshark and twireshark, and you can live with
  an extra ~250 kb in a 24 MB -common package
- release 2

Revision 1.192  2008/09/08 08:34:39  blues
- security note

Revision 1.191  2008/09/07 14:53:46  adamg
- updated to 1.0.3 [fixes WNPA-SEC-2008-05]
  [i.e. CVE-2008-3146 CVE-2008-3932 CVE-2008-3933 CVE-2008-3934]

Revision 1.190  2008/07/16 16:46:42  twittner
- works, rel. 1

Revision 1.189  2008/07/14 22:20:20  twittner
- up to 1.0.2 (fixes CVE-2008-3140)
  [and CVE-2008-3137 CVE-2008-3138 CVE-2008-3139 CVE-2008-3141 CVE-2008-3145]
- rel. 0.1 (builds, it's too late for testing)

Revision 1.188  2008/07/09 08:00:08  megabajt
- release 2

Revision 1.187  2008/05/27 20:15:32  qboosh
- package rawshark in -tools
- BR: libsmi-devel

Revision 1.186  2008-04-01 08:35:45  sls
- rel. 1
- BR: libcap-devel

Revision 1.185  2008-04-01 07:07:21  sls
- added TODO
- files fix

Revision 1.184  2008-04-01 06:44:22  sls
- no ./configure in wiretap dir

Revision 1.183  2008-04-01 02:08:36  sls
- ver. 1.0.0

Revision 1.182  2008-01-29 20:01:57  hawk
- release 4

Revision 1.181  2008-01-22 21:25:56  hawk
- release 3

Revision 1.180  2008-01-16 07:18:58  arekm
- rel 2

Revision 1.179  2008-01-05 15:08:12  qboosh
- ghost soname symlinks

Revision 1.178  2007-12-20 21:44:09  qboosh
- sorted BRs

Revision 1.177  2007-12-20 21:37:33  megabajt
- updated to 0.99.7 (fixes CVE-2007-6451 CVE-2007-6450 CVE-2007-6449 CVE-2007-6448
  CVE-2007-6447 CVE-2007-6446 CVE-2007-6445 CVE-2007-6444 CVE-2007-6443 CVE-2007-6442
  CVE-2007-6441 CVE-2007-6440 CVE-2007-6439 CVE-2007-6438 CVE-2007-6121 CVE-2007-6120
  CVE-2007-6119 CVE-2007-6118 CVE-2007-6117 CVE-2007-6116 CVE-2007-6115 CVE-2007-6114
  CVE-2007-6113 CVE-2007-6112 CVE-2007-6111)
- more CVE refs for revision 1.175

Revision 1.176  2007-09-06 16:42:24  baggins
- rel 2
- build now

Revision 1.175  2007/08/21 11:41:03  adamg
- updated to 0.99.6 (resolves CVE-2007-3389, CVE-2007-3390, CVE-2007-3391,
  CVE-2007-3392, CVE-2007-3393, CVE-2007-4721)
- fails to build (probably some as_needed issue)

Revision 1.174  2007/03/31 22:25:20  baggins
- rel 2
- s/heimdal/krb5/

Revision 1.173  2007/03/29 20:14:56  qboosh
- fixed gnutls version, ac >= 2.52

Revision 1.172  2007/03/16 09:41:54  qboosh
- tab

Revision 1.171  2007/03/16 09:17:32  wolf
- S: xterm for asking password

Revision 1.170  2007/03/12 08:43:34  sls
- added as_needed.patch

Revision 1.169  2007/03/12 06:58:18  qboosh
- versions; openssl not used by default now

Revision 1.168  2007/03/12 00:07:38  gotar
- added HIP dissector

Revision 1.167  2007/03/12 00:01:20  gotar
- BR: {gnutls,libgcrypt,lua51,pcre,portaudio}-devel

Revision 1.166  2007/02/12 22:09:20  glen
- tabs in preamble

Revision 1.165  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.164  2007/02/04 11:08:34  darekr
- updated to 0.99.5 (fixes CVE-2007-04{56,57,58,59}

Revision 1.163  2006/12/21 17:40:22  arekm
- rel 2; rebuild with new net-snmp

Revision 1.162  2006/12/04 00:06:15  qboosh
- updated to 0.99.4 (fixes CVE-2006-4574 CVE-2006-4805 CVE-2006-5468
  CVE-2006-5469 CVE-2006-5595 CVE-2006-5740)

Revision 1.161  2006/11/07 22:32:43  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.160  2006/09/14 09:20:40  glen
- main package requires /usr/bin/dumpcap

Revision 1.159  2006/08/27 12:04:44  zawadaa
- up to 0.99.3a,
- resolves CVE-2006-4330, CVE-2006-4331, CVE-2006-4332, CVE-2006-4333

Revision 1.158  2006/07/25 16:05:01  glen
- up to 0.99.2,
  resolves CVE-2006-3627, CVE-2006-3628, CVE-2006-3629, CVE-2006-3630,
  CVE-2006-3631, CVE-2006-3632

Revision 1.157  2006/06/10 09:18:12  glen
- no obsolete for package that hasn't existed

Revision 1.156  2006/06/10 09:01:04  blues
- provides for ethereal, for smooth upgrade

Revision 1.155  2006/06/09 21:07:24  arekm
- obsoletes; adapterized

Revision 1.154  2006/06/09 21:04:27  arekm
- ethereal project under new name - wireshark
